## 安装

- git clone 到本地
- 执行 `composer install` 创建好数据库
- 配置 **.env** 中数据库连接信息,没有.env请复制.env.example命名为.env
- 执行 `php artisan key:generate`
- 执行 `php artisan migrate`
- 执行 `php artisan db:seed`
- 执行 `php artisan passport:install`
- storage下所有目录 和 bootstrap/cache 目录应该是可写的
- 键入 '域名/admin/auth/login'(后台登录)
- 用户名：admin；密码：admin

- 生成文档 php artisan l5-swagger:generate 
- api文档在api/documentation里面, 也可以看上面的 `在线api文档`
- api文档接口调试授权生成器请在`config/l5-swagger.php`配置
 
 
## cron计划任务自动监听
 linux执行: crontab -e
  
     <!-- 添加一条新的记录 -->
     * * * * * /php目录/bin/php /项目目录/artisan cron:run > /dev/null 2>&1

## 微信接口已经集成（不用这个就需要自己编写）
- overtrue/laravel-wechat:~5.0 需要在config/wechat.php下配置相关信息
- overtrue/wechat(目前使用)
## passport 8.0
获取client ID 和 秘钥（用于swagger接口调试申请token）

    php artisan passport:client --password 

## USEFUL LINK
- transformer [fractal](http://fractal.thephpleague.com/)
- apizza https://apizza.net/pro/#/project/3b5527149ee5681048874c0771678232/browse






